[% META title="Le Bricioline, vista profilo" %]

[% IF res.other_ant.role == 5 %]
[% honor = " tesoriere" %]
[% ELSIF res.other_ant.role == 3 %]
[% honor = " capo" %]
[% ELSE %]
[% honor = "" %]
[% END %]

[% page_title = "Formica " _  res.other_ant.nick _ honor _ " del
Formicaio " _ Catalyst.session.current_ant_nest_id %]

[% IF Catalyst.check_user_roles('boss') %]
	<p>Siccome sei il capo formicaio, puoi vedere tutti i dati
personali di questa formica, essi sono:</p>

[% ELSE %]

  [% IF res.other_ant.direct_trust == 1%]
	<p>Siccome tra te e [% res.personal_data.first_name %] c'è una
relazione di fiducia allora tu puoi vedere tutti i suoi dati,
naturalmente anche lui/lei può vedere i tuoi.</p>
  [% ELSE %]
    [% IF res.no_personal_trusts == 1 %]
	<p>Questa formica ha scelto di non diffondere i suoi dati
personali. Se hai bisogno disperato di contattarla (per esempio per un
annuncio) puoi chiedere al capo formicaio di mettervi in contatto.
	</p>
        [% SET view_personal_data = 0 %]
    [% ELSE %]
	<p>Ecco i dati personali di questa formica. Può darsi che
alcuni di questi siano vuoti perché la formica ha deciso di non
rivelarli a persone sotto un certo livello di fiducia.
	</p>
    [% END %]
  [% END %]
	
[% END %]

[% IF view_personal_data != 0 %]
 [% user_to_display = res.personal_data ; user_to_display.nick = res.other_ant.nick %]
 [% PROCESS users_details_table.tt %]
[% END %]